petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexSNESComputeJacobianFEM

Form the local portion of the Jacobian matrix J at the local solution X using pointwise functions specified by the user.

### Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMPlexSNESComputeJacobianFEM(DM dm, Vec X, Mat Jac, Mat JacP,void *user)

### Input Parameters

| dm | - The mesh
| X | - Local input vector
| user | - The user context

### Output Parameter

Jac -Jacobian matrix

### Note

We form the residual one batch of elements at a time. This allows us to offload work onto an accelerator, like a GPU, or vectorize on a multicore machine.

### See Also

FormFunctionLocal()

### Level

developer

### Location

src/snes/utils/dmplexsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages